ROUTE(8)

NAME
route - affiche / manipule la table de routage IP

SYNOPSIS
route [-CFvnee]

route
    [-v] [-A famille] add [-net|-host] cible [netmask Nm] [gw Gw] [metric N] [mss M] [window W] [irtt I] [reject] [mod] [dyn] [reinstate] [[dev] If]

route
    [-v] [-A famille] del [-net|-host] cible [gw Gw] [netmask Nm] [metric N] [[dev] If]

route
    [-V] [--version] [-h] [--help]

DESCRIPTION
Route manipule la table de routage IP du noyau. Son utilisation première consiste à configurer des routes statiques vers des hôtes ou des réseaux via une interface, après sa configuration par le programme ifconfig(8).

OPTIONS

-v  Active le mode verbeux.

-A famille
    Utilise la famille d'adresses spécifiée (p.ex. `inet', `inet6').

-n  Affiche les adresses numériques, au lieu d'essayer de déterminer les noms d'hôtes. C'est utile si vous essayer de savoir pourquoi la route vers votre serveur de nom a disparu.

-e  utilise netstat(8)-format pour l'affichage de la table de routage. -ee Génère une très longue ligne avec tous les paramètres à partir de la table de routage.

-net
    la cible est un réseau.

-host
    la cible est un hôte.

-F  affiche la table de routage FIB du noyau. L'organisation peut être changée avec -e et -ee

-C  affiche le cache de routage du noyau.

del supprime une route.

add ajoute une route.

cible
    L'hôte ou le réseau destination. Vous pouvez fournir une adresse IP en notation décimale pointée ou un nom d'hôte ou de réseau.

netmask Nm
    spécifie le masque réseau de la route à ajouter.

gw Gw
    signifie que tout paquet IP envoyé à cette adresse sera routé par la passerelle spécifiée. NOTE: La passerelle concernée doit pouvoir être atteinte. Ceci signifie qu'une route statique vers cette passerelle doit préalablement exister. Si vous spécifiez l'adresse de l'une de vos interfaces locales, elle sera utilisée pour décider de l'interface vers laquelle les paquets seront envoyés. Ceci est une bidouille permettant d'être compatible BSD.

metric M
    Affecte la valeur M au champ métrique de la table de routage (utilisé par les démons de routage).

mss M
    Spécifie le MSS (Maximum Segment Size, Taille maximum de segment) de TCP, pour les connexions empreintant cette route. Ce n'est normalement utilisé que pour des optimisations fines des configurations de routage.

window W
    Définit la taille de fenêtre TCP à W octets pour les connexions relatives à cette route. C'est en général uniquement utilisé sur les réseaux AX.25 et avec les pilotes incapables de manipuler les trames dos à dos.

irtt I
    Définit le iRTT initial (round trip time) pour les connexions TCP sur cette route à I millisecondes (1-12000). C'est en général uniquement utilisé sur les réseaux AX.25. Si omis, la valeur par défaut (300 ms selon le RFC 1122) est utilisée.

reject
    Installe une route bloquante, qui forcera l'échec d'une recherche. C'est par exemple utilisé pour masquer les réseaux avant d'utiliser la route par défaut. Ce n'est pas une fonction de pare-feu.

mod, dyn, reinstate
    Installe une route dynamique ou modifiée. Les deux indicateurs ne sont en général positionnés que par le démon de routage. Cela ne sert que pour des besoins de diagnostics.

dev If
    Force la route à être associée au périphérique spécifié, sinon le noyau tentera de le déterminer par lui-même (en consultant les routes existantes et les spécifications de périphériques). Dans la plupart des réseaux normaux, vous n'aurez pas besoin de ceci.

    If dev If est la dernière option de la ligne de commande, le mot dev peut être omis, puisque c'est la valeur par défaut. Autrement l'ordre des modificateurs de route (metric - netmask - gw - dev) n'a pas d'importance.

EXEMPLES

route add -net 127.0.0.0
    ajoute l'entrée loopback normale, en utilisant le masque 255.0.0.0 (réseau de classe A, selon l'adresse de destination) et associée avec l'interface "lo" (en supposant que ce périphérique a été correctement configuré avec ifconfig(8)).

route add -net 192.56.76.0 netmask 255.255.255.0 dev eth0
    ajoute une route vers le réseau 192.56.76.x via "eth0". Le masque de classe C n'est pas vraiment nécessaire ici car 192.* est une adresse IP de classe C. Le mot "dev" peut être omis.

route add default gw mango-gw
    ajoute une route par défaut (qui sera utilisée si aucune autre route ne convient). Tous les paquets empreintant cette route passeront par "mango-gw". Le périphérique qui sera effectivement utilisé pour cette route dépend de la façon dont on atteint "mango-gw" - la route statique vers "mango-gw" devra être préalablement configurée.

route add ipx4 sl0
    ajoute une route vers l'hôte "ipx4" via l'interface SLIP (en supposant que "ipx4" est l'hôte SLIP).

route add -net 192.57.66.0 netmask 255.255.255.0 gw ipx4
    Cette commande route le réseau "192.57.66.x" par l'ancienne route vers l'interface SLIP.

route add 224.0.0.0 netmask 240.0.0.0 dev eth0
    Ceci est une commande mal documentée et les gens savent ce qu'il faut faire? Ceci force toutes les routes IP des classes D (multicast) à passer par "eth0". C'est la configuration correcte, normale pour un noyau supportant le multicast.

route add 10.0.0.0 netmask 255.0.0.0 reject
    Installe une route 'rejetée' pour le réseau privé "10.x.x.x."

RESULTATS
Le contenu des tables de routage du noyaus est affiché en colonnes comme suit

Destination
    Le réseau ou hôte destination.

Gateway
    L'adresse de la passerelle ou '*' si indéfini.

Genmask
    Le masque de réseau pour le réseau destinataire; '255.255.255.255' pour un hôte et '0.0.0.0' pour la route par défaut ( default ).

Indicateurs
    Les indicateurs possibles sont
    U (la route est active = up)
    H (la cible est un hôte)
    G (utilise comme passerelle)
    R (rétablit la route pour le routage dynamique)
    D (dynamiquement configurée par le démon ou par redirect)
    M (modifiée par le démon de routage ou par redirect)
    ! (rejète la route)

Metric
    La 'distance' à la cible (habituellement comptée en hops). Ce n'est pas utilisé par les noyaux récents, mais peut-être requis par certains démons de routage.

Ref Nombre de références à cette route. (Pas utilisé dans le noyau Linux.)

Use Count of lookups for the route. Depending on the use of -F and -C this will be either route cache misses (-F) or hits (-C).

Iface
    Interface vers laquelle les paquets empruntant cette route seront envoyés.

MSS Taille de segment maximum par défaut pour les connexions TCP sur cette route.

Window
    Taille de fenêtre par défaut pour les connexions TCP sur cette route.

irtt
    RTT Initial (Round Trip Time). Le noyau utilise ceci pour essayer les meilleurs paramètres protocolaires TCP sans attendre de réponse (éventuellement tardive).

HH (seulement caché)
    Le nombre d'entrées ARP et de routes cachées faisant référence au cache d'en-tête matériel pour la route en cache. Ce sera la valeur -1 si aucune adresse matérielle n'est nécessaire pour l'interface de la route cachée (p.ex. lo).

Arp (seulement caché)
    Indique si oui ou non l'adresse matérielle pour la route en cache est encore à jour.

FICHIERS
/proc/net/ipv6_route
/proc/net/route
/proc/net/rt_cache

VOIR AUSSI
ifconfig(8), netstat(8), arp(8), rarp(8)

HISTORIQUE
Route pour Linux a été originellement écrit par Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org> puis modifié par Johannes Stille et Linus Torvalds pour pl15. Alan Cox a ajouté les options concernant la gestion des fenêtres et MSS pour Linux 1.1.22. Le support de irtt et la fusion avec netstat ont été réalisés par Bernd Eckenfels.

AUTEUR
Maintenu par Phil Blundell <Philip.Blundell@pobox.com> et Bernd Eckenfels <net-tools@lina.inka.de>.

TRADUCTION
Jean-Michel VANSTEENE <vanstee@worldnet.fr>